﻿using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Controls.Calendar;

namespace Telerik.Windows.Examples.Calendar
{
	public class EventDayTemplateSelector : DataTemplateSelector
	{
		public DataTemplate SunTemplate { get; set; }
		public DataTemplate MonTemplate { get; set; }
		public DataTemplate TueTemplate { get; set; }

		public override DataTemplate SelectTemplate(object item, DependencyObject container)
		{
			var content = item as CalendarButtonContent;

			if (content.ButtonType == CalendarButtonType.WeekName)
			{
				if (content.Text == "Mon")
				{
					return MonTemplate;
				}
				else if (content.Text == "Sun")
				{
					return SunTemplate;
				}
			}
			return base.SelectTemplate(item, container);
		}
	}
}
