﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace Telerik.Windows.Examples.Calendar
{
    public class EventImage : INotifyPropertyChanged
    {
        public EventImage()
        {
           _date = DateTime.Now;
        }

        private Uri _imageSource;
        public Uri ImageSource
        {
            get
            {
                return _imageSource;
            }
            set
            {
                if (this._imageSource != value)
                {
                    this._imageSource = value;
                    this.FormatedImageSource = value.ToString();
                    this.OnPropertyChanged("ImageSource");
                }
            }

        }
               
        public int Day
        {
            get
            {
                return this.Date.Day;
            }
            set
            {
                DateTime today = DateTime.Now;
                this.Date = new DateTime(today.Year, today.Month, value);
            }
        }

        private DateTime _date;
        public DateTime Date
        {
            get
            {
                return this._date;
            }
            set
            {
                if (this._date != value)
                {
                    this._date = value;
                    this.FormatedDate = value.ToString("dddd, MMMM dd");
                    this.OnPropertyChanged("Date");
                    this.OnPropertyChanged("Day");
                }
            }
        }

        private string _formatedDate;
        public string FormatedDate
        {
            get
            {
                return this._formatedDate;
            }
            protected set
            {
                if (this._formatedDate != value)
                {
                    this._formatedDate = value;
                    this.OnPropertyChanged("FormatedDate");
                }
            }
        }
        private string _formatedImageSource;
        public string FormatedImageSource
        {
            get
            {
                return this._formatedImageSource;
            }
            protected set
            {
                if (this._formatedImageSource != value)
                {
                    this._formatedImageSource = value;
                    this.OnPropertyChanged("FormatedImageSource");
                }
            }
        }

        protected void OnPropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
        public event PropertyChangedEventHandler PropertyChanged;
    }
   
}
