﻿using System;
using System.Windows;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Calendar;
using System.Windows.Controls;

namespace Telerik.Windows.Examples.Calendar
{
    public class EventImageTemplateSelector : DataTemplateSelector
    {
        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            CalendarButtonContent content = item as CalendarButtonContent;

            //Some days are special.
            foreach (EventImage e in this.EventImagesCollection)
            {
                if (e.Date == content.Date &&
                    e.Date.DayOfWeek == DayOfWeek.Friday ||
                    e.Date == content.Date &&
                    e.Date.DayOfWeek == DayOfWeek.Saturday)
                {
                    return this.EventImageTemplate;
                }
            }

            return base.SelectTemplate(item, container);
        }

        private EventImagesCollection _eventImagesCollection;
        public EventImagesCollection EventImagesCollection
        {
            get
            {
                return this._eventImagesCollection;
            }
            set
            {
                this._eventImagesCollection = value;
            }
        }

        private DataTemplate _eventImageTemplate;
        public DataTemplate EventImageTemplate
        {
            get
            {
                return this._eventImageTemplate;
            }
            set
            {
                this._eventImageTemplate = value;
            }
        }
    }
}
